#!-PERL-
# instext.pl
#
# THIS FILE IS COPYRIGHT 1994 BY TELENOR RESEARCH, NORWAY
#
#                    ALL RIGHTS RESERVED.
#
# For rights granted to the public see the COPYRIGHT file
#
# Programming : Geir Ivarsoey

# This script is part of the fm2html package.

$\ = "\n";		# set output record separator
$, = " ";		# set output field separator
$* = 0;			# set single line pattern matching

local( %par, %fig );
local( $idx ) = 0;
local( $text ) = "";

FST_LOOP:
while ( <> )
{
  if ( m|^<<<| )
    { last FST_LOOP; }

  if ( m|^<<(\d+)>>(.*)$| )
    { $idx = $1; $par{$idx} = "$2\n"; }
  elsif ( m|^>>(\d+)<<\d+>>(.+)$| )
    { $fig{$1} = "$2\n"; }
  else
    { $par{$idx} .= $_; }
}

while ( <> )
{
  if ( m|^<<(\d+)>>$| )
    { $text = $par{$1}; }
  else
    { $text = $_; }

  while ( $text =~ m|<IMG SRC.*\.fig_(\d+)\.gif.>| )
  {
    print "$`$&$fig{$1}";
    $text=$';
  }

  chop $text;
  print $text;
}
